Bug 162301 - [maintainer-update] games/ioquake3-devel and slaves
[maintainer-update] games/ioquake3-devel and slaves
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-04 21:40 UTC by kamikaze
Modified: 2011-12-12 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (21.20 KB, patch)
2011-11-04 21:40 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2011-11-04 21:40:10 UTC
games/ioquake3
- Bump portrevision
- Allow slave ports to turn off some options
- Add modular renderer support for slaves
- Add WITH_DEBUG support
- Always check against non-default options so that they can be overridden (e.g. for BATCH mode)
- Add pkg-config build dependency

games/ioquake3
games/ioquake3-devel
games/iourbanterror
games/openarena
- Fix CURL support
- Link libraries instead of using dlopen

games/ioquake3-devel
games/iourbanterror
- Update SVN snapshot r2064 to r2194
  - Improved UDP download speed
  - New protocol version 71
  - Reduced VOIP latency
  - Modular rendering system
  - Added r_mode -2 for using display resolution
  - Clang support
  - ...

games/openarena
- Bump portrevision
- Switch from engine src dist 21 to 22 (both SVN r1910 based)

games/openarena-oax
- Update from B48 to B50

games/iourbanterror
games/openarena
- Clean up plist
- Forbid the GAMELIBS option (doesn't work)

Fix: Patch attached with submission follows:
Comment 1 scheidell freebsd_committer 2011-12-03 19:40:17 UTC
State Changed
From-To: open->open

i'll take it 


Comment 2 scheidell freebsd_committer 2011-12-03 19:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell
Comment 3 scheidell freebsd_committer 2011-12-03 19:56:10 UTC
State Changed
From-To: open->feedback

back to pool 


Comment 4 scheidell freebsd_committer 2011-12-03 19:56:10 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

patch will apply (in root ../games dir) but portslint has fatal errors. 
and these are just the fatal ones, in ../ioquake3 
FATAL: Makefile: [72]: MACHINE_ARCH should never be overridden. 
FATAL: Makefile: CATEGORIES left blank. set it to "misc" if nothing seems apropriate. 
FATAL: Makefile: either PORTVERSION or DISTVERSION must be specified
Comment 5 kamikaze 2011-12-04 16:05:02 UTC
Portlint is far from perfect.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 6 Chris Rees freebsd_committer 2011-12-04 16:28:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 7 dfilter freebsd_committer 2011-12-12 21:05:25 UTC
crees       2011-12-12 21:05:02 UTC

  FreeBSD ports repository

  Modified files:
    games/ioquake3       Makefile pkg-plist 
    games/ioquake3/files patch-Makefile patch-README 
                         patch-code-sys-sys_unix.c 
    games/ioquake3-devel Makefile distinfo 
    games/iourbanterror  Makefile distinfo pkg-plist 
    games/iourbanterror/files patch-code-qcommon-q_shared.h 
    games/openarena      Makefile distinfo pkg-plist 
    games/openarena/files patch-Makefile 
    games/openarena-oax  Makefile distinfo 
  Added files:
    games/ioquake3/files patch-code-client-cl_curl.h 
  Log:
  ioquake3:
  - Allow slave ports to turn off some options
  - Add modular renderer support for slaves
  - Add WITH_DEBUG support
  - Always check against non-default options so that they can be overridden
    (e.g. for BATCH mode)
  - Add pkg-config build dependency
  
  ioquake3-devel, iourbanterror, openarena:
  - Fix CURL support
  - Link libraries instead of using dlopen
  
  ioquake3-devel, iourbanterror:
  - Update SVN snapshot r2064 to r2194
  - Improved UDP download speed
  - New protocol version 71
  - Reduced VOIP latency
  - Modular rendering system
  - Added r_mode -2 for using display resolution
  - Clang support
  
  openarena:
  - Switch from engine src dist 21 to 22 (both r1910 based)
  
  openarena-oax:
  - Update to B50
  
  iourbanterror, openarena:
  - Clean up plist
  - Disable GAMELIBS option
  
  PR:             ports/162301
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.12      +3 -1      ports/games/ioquake3-devel/Makefile
  1.12      +2 -2      ports/games/ioquake3-devel/distinfo
  1.26      +61 -22    ports/games/ioquake3/Makefile
  1.10      +86 -40    ports/games/ioquake3/files/patch-Makefile
  1.2       +2 -2      ports/games/ioquake3/files/patch-README
  1.1       +12 -0     ports/games/ioquake3/files/patch-code-client-cl_curl.h (new)
  1.3       +1 -1      ports/games/ioquake3/files/patch-code-sys-sys_unix.c
  1.5       +2 -1      ports/games/ioquake3/pkg-plist
  1.26      +1 -0      ports/games/iourbanterror/Makefile
  1.11      +2 -2      ports/games/iourbanterror/distinfo
  1.3       +12 -7     ports/games/iourbanterror/files/patch-code-qcommon-q_shared.h
  1.5       +2 -5      ports/games/iourbanterror/pkg-plist
  1.5       +1 -1      ports/games/openarena-oax/Makefile
  1.4       +2 -2      ports/games/openarena-oax/distinfo
  1.14      +8 -4      ports/games/openarena/Makefile
  1.6       +2 -2      ports/games/openarena/distinfo
  1.5       +47 -5     ports/games/openarena/files/patch-Makefile
  1.3       +0 -5      ports/games/openarena/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Chris Rees freebsd_committer 2011-12-12 21:06:09 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!